/*Fence measurement*/
.Pg_tptx_sml {
  font-size: 14px;
  line-height:24px;
  text-align: center;
}
.Pg_tp_txt.Pg_tptxt_w100 {
  max-width: 100%;
}
.Pg_msrmnt {
  width: 100%;
  clear: both;
  margin: 0;
  padding: 15px 0 60px;
  position: relative;
  float: left;
  min-height: 600px;
}
.pg_msrmnt_frmwr {
  position: relative;
  width: 100%;
}
.pg_msrmnt_frmrw {
  position: relative;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}
.pg_msrmnt_frmltr {
  width: 75%;
  position: relative;
  padding-right: 30px;
}
.msrmnt_frmgroup {
  width: 67.5%;
  position: relative;
  margin: 0;
  padding: 0;
  clear: both;
}
.msrmnt_frmgroup:not(.active) {
  display: none;
}
.msrmnt_frmgroup_title {
  display: block;
  width: 100%;
  font-size: 18px;
  font-family: var(--font-poppins);
  font-weight: 500;
  line-height: 27px;
  margin: 0 0 25px;
  position: relative;
}
.msrmnt_frmgroup_title::after {
  display: block;
  content: "";
  background: var(--primaryColor);
  width: 84px;
  height: 2px;
  margin: 15px 0 0;
}
.msrmnt_frmfields {
  width: 100%;
  position: relative;
  margin: 0 0 20px;
  float: left;
}
.msrmn_radio_rw {
  position: relative;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  grid-gap: 15px 60px;
}
.msrmnt_frmradio_field {
  position: relative;
  display: block;
  padding: 2px 0 0 33px;
  font-size: 14px;
  font-weight: 400;
  line-height: 19px;
  cursor: pointer;
}
.frm_input_checkmrk {
  position: absolute;
  left: 0;
  top: 0;
  width: 22px;
  height: 22px;
  border-radius: 50%;
  border: solid 2px var(--dark);
  background-color: var(--white);
}
.msrmnt_frmradio_field > input {
  width: 0;
  height: 0;
  visibility: hidden;
  position: absolute;
}
.frm_input_checkmrk::before {
  content: "";
  position: absolute;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  opacity: 0;
  transition: 0.35s ease-in-out;
  background-color: var(--primaryColor);
  left: 4px;
  top: 4px;
}
.msrmnt_frmradio_field
  > input[type="radio"]:checked
  ~ .frm_input_checkmrk::before {
  opacity: 1;
}
.msrmnt_frminputs {
  width: 100%;
  position: relative;
  margin: 0 0 20px;
  float: left;
}
.msrmnt_field_input {
  width: 100%;
  float: left;
  appearance: none;
  max-height: 100px;
  -webkit-apperance: none;
  border: none;
  border-bottom: solid 1px var(--dark);
  font-size: 14px;
  line-height: 24px;
  padding: 8px 12px;
  color: var(--dark);
}
.msrmnt_frminputs::before {
  position: absolute;
  left: 0;
  content: "";
  bottom: 0;
  width: 1px;
  height: calc(100% - 16px);
  background-color: var(--dark);
}
.msrmnt_field_input:focus {
  outline: none;
  box-shadow: none;
}

.msrmnt_field_input::-webkit-input-placeholder {
  color: var(--baseDarktheme);
}
.msrmnt_field_input::-moz-placeholder {
  color: var(--baseDarktheme);
  opacity: 1;
}
.msrmnt_field_input::-ms-input-placeholder {
  color: var(--baseDarktheme);
  opacity: 1;
}
.msrmnt_field_input::placeholder:-ms-input-placeholder {
  color: var(--baseDarktheme);
}
.msrmnt_field_input::placeholder::-ms-input-placeholder {
  color: var(--baseDarktheme);
}
.msrmnt_field_input::placeholder::placeholder {
  color: var(--baseDarktheme);
}
.msrmnt_step_btn {
  display: inline-flex;
  margin: 0;
  justify-content: center;
  border: none;
  background-color: var(--dark);
  color: var(--white);
  font-size: 14px;
  letter-spacing: 1px;
  line-height: 21px;
  text-transform: uppercase;
  padding: 10px 45px 10px 30px;
  position: relative;
  cursor: pointer;
  min-height: 43px;
  align-items: center;
  font-weight: 600;
  width: 100%;
  max-width: 327px;
}
.msrmnt_arrow_nxt {
  width: 8.5px;
  height: 17px;
  font-weight: 700;
  margin-left: 35px;
}
.msrmnt_arrow_nxt {
  position: absolute;
  top: 5px;
  right: 26px;
  top: 13px;
}
.msrmnt_steps_btnblk {
  margin-top: 40px;
  display: flex;
  flex-wrap: wrap;
  grid-gap: 0 20px;
}
.pg_msrmnt_fmrsrtr {
  width: 25%;
}
.pg_msrmnt_stepbx {
  width: 100%;
  position: relative;
  padding: 40px 10px;
  border: solid 1px var(--darkborder);
  display: flex;
  justify-content: center;
}
.pg_msrmnt_step_ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
}
.pg_msrmnt_step_li {
  display: flex;
  flex-wrap: wrap;
  position: relative;
  font-size: 18px;
  font-weight: 500;
  color: #b2b2b2;
}
.pg_msrmnt_step_li span {
  padding-left: 5px;
}
.pg_msrmnt_step_li:not(:first-child) {
  padding-top: 58px;
  color: #b2b2b2;
}
.pg_msrmnt_step_li:not(:first-child)::before {
  content: "";
  position: absolute;
  width: 1px;
  height: 33px;
  display: block;
  background-color: var(--darkborder);
  left: 50%;
  top: 13px;
}
.mx-w-500 {
  max-width: 500px;
}
.msrmnt_fnce_grouptitle {
  font-weight: 600;
  font-size: 16px;
  line-height: 24px;
  margin: 0 0 15px;
}
.msrmnt_fnce_radiorw {
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  grid-gap: 27px;
}
.msrmnt_fence_img {
  width: 100%;
  display: block;
  position: relative;
  margin: 0 0 10px;
}
.msrmnt_fence_img img {
  width: 100%;
}
.msrmnt_frmgroup.fence_details {
  width: 100%;
}
.msrmnt_fnce_radiogrp {
  float: left;
  width: 100%;
  margin: 25px 0 15px;
}
.mt_35 {
  margin-top: 35px;
}
.mt_25 {
  margin-top: 25px;
}
.mb-10 {
  margin-bottom: 10px;
}
.msrmn_rdio_blk .msrmnt_frmradio_field {
  width: 100%;
}
.mx-w-375 {
  max-width: 375px;
}
.mx-w-700 {
  max-width: 700px;
}
.mx-w-600 {
  max-width: 600px;
}
.msrmnt_frmradio_field > span:not(.frm_input_checkmrk) {
  width: 100%;
  display: block;
  clear: both;
}
.msrmnt_frmcheck_field {
  width: 100%;
  position: relative;
  display: block;
  margin: 0 0 0;
  padding-left: 32px;
  cursor: pointer;
  font-size: 14px;
  line-height: 19px;
  padding-top: 3px;
}
.frm_input_checkmrk_check {
  position: absolute;
  left: 0;
  top: 3px;
  width: 17px;
  height: 17px;
  border: solid 2px var(--dark);
  background-color: var(--white);
}
.msrmnt_frmcheck_field input:checked ~ .frm_input_checkmrk_check::after {
  background-image: url(../images/Tickmark-bullet-point.svg);
  background-repeat: no-repeat;
  background-size: 18px 14px;
  position: absolute;
  left: 1.5px;
  background-position: center;
  top: -5px;
  width: 18px;
  height: 18px;
  content: "";
}
.msrmnt_frmcheck_field input {
  width: 0;
  height: 0;
  visibility: hidden;
  position: absolute;
}
.msrmnt_back_btn {
  display: inline-flex;
  margin: 0;
  padding: 0;
  justify-content: center;
  border: none;
  grid-gap: 0 16px;
  background-color: var(--lightgray);
  color: #282e31;
  font-size: 14px;
  letter-spacing: 1px;
  line-height: 21px;
  text-transform: uppercase;
  padding: 10px 30px 10px 18px;
  cursor: pointer;
  min-height: 43px;
  align-items: center;
  font-weight: 600;
  width: 100%;
  max-width: 123px;
}

.pg_msrmnt_step_li.complete::after {
  content: "";
  position: absolute;
  left: -30px;
  top: 5px;
  width: 20px;
  height: 18px;
  background: url("../images/checked_steps.svg") no-repeat;
  background-size: 18px 14px;
}
.pg_msrmnt_step_li.complete:not(:first-child)::after {
  content: "";
  position: absolute;
  left: -30px;
  top: 65px;
  width: 20px;
  height: 18px;
  background: url("../images/checked_steps.svg") no-repeat;
  background-size: 18px 14px;
}
.pg_msrmnt_step_li.active {
  color: var(--dark);
  font-weight: 500;
}
.msrmnt_arrow_back {
  width: 8.5px;
  height: 17px;
}
.clear {
  clear: both;
  width: 100%;
  font-size: 0;
}
.msrmnt_units {
  position: absolute;
  right: 0;
  font-size: 14px;
  line-height: 19px;
  bottom: 15px;
}
.has_label .msrmnt_field_input {
  padding-right: 60px;
}
select.msrmnt_field_input {
  background-image: url(../images/drop-down-arrow.svg);
  background-size: 12px;
  background-repeat: no-repeat;
  background-position: right 15px center;
  outline: none;
  background-color: transparent;
}
.msrmnt_by_tlength,
.msrmnt_by_sectlength {
  margin-bottom: 0;
}
.msrmnt_by_tlength,
.msrmnt_by_sectlength {
  display: none;
}
.msrmnt_by_tlength.active,
.msrmnt_by_sectlength.active {
  display: block;
}
.msrmnt_frm_upload {
  width: 100%;
  position: relative;
  margin: 15px 0 10px;
  float: left;
}
.msrmnt-upload_btn {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 200px;
  height: 50px;
  border: 2px solid var(--TopCtacolor);
  font-size: 14px;
  letter-spacing: 1px;
  cursor: pointer;
  background: #fff;
  color: var(--dark);
  text-transform: uppercase;
  font-weight: 600;
}
.msrmnt_upload_notes {
  clear: both;
  width: 100%;
  font-size: 14px;
  padding: 15px 0 0;
  line-height: 19px;
  margin-top: 5px;
  color: var(--baseDarktheme);
}
.msrmnt_upload_notes > span {
  display: block;
  margin: 0 0 5px;
}
.msrmnt-upload_btn:hover {
  border-color: var(--TopCtacolor);
}
.msrmnt_frminpt_growp_2 {
  width: 100%;
  float: left;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
}
.msrmnt_frmgroup_sbtitle {
  font-weight: 600;
  font-size: 16px;
  line-height: 24px;
  margin: 10px 0 15px;
  width: 100%;
  clear: both;
}
.msrmnt_nwslttr {
  padding: 15px 0 15px;
}
.msrmnt_contact_dtls .msrmnt_step_btn {
  padding-left: 30px;
  padding-right: 30px;
}

@media only screen and (max-width: 1300px) {
  .pg_msrmnt_stepbx {
    padding: 35px 10px 35px 35px;
  }
  .pg_msrmnt_step_li {
    font-size: 16px;
  }
  .msrmnt_fnce_radiorw {
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 15px 25px;
  }
}

@media only screen and (max-width: 1200px) {
  .pg_msrmnt_frmltr {
    width: 67%;
  }
  .pg_msrmnt_fmrsrtr {
    width: 33%;
  }
  .msrmnt_frmgroup {
    width: 95%;
  }
}

@media only screen and (min-width:992px)
{
  .pg_msrmnt_stepbx{box-shadow: 0px 3px 6px var(--dark_16);}
}

@media only screen and (max-width: 991px) {
  .pg_msrmnt_fmrsrtr {
    width: 100%;
    margin-bottom: 30px;
    order: -1;
  }
  .pg_msrmnt_frmltr,
  .msrmnt_frmgroup {
    width: 100%;
  }
  .pg_msrmnt_stepbx {
    padding: 25px;
  }
  .pg_msrmnt_frmltr {
    padding-right: 0;
  }
  .msrmnt_fnce_radiorw {
    grid-template-columns: repeat(4, 1fr);
  }
}

@media only screen and (max-width: 767px) {
  .msrmnt_fnce_radiorw {
    grid-template-columns: repeat(3, 1fr);
  }
  .msrmnt_steps_btnblk {
    grid-gap: 15px 20px;
  }
}

@media only screen and (max-width: 575px) {
  .msrmnt_fnce_radiorw {
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 15px 15px;
  }
}

/*Temp*/
@media only screen and (max-width: 991px) {
  .pg_msrmnt_step_li.complete::after {
    display: none;
  }
  .pg_msrmnt_step_li {
    font-size: 0;
  }
  .pg_msrmnt_step_li span {
    font-size: 16px;
    line-height: 20px;
  }
  .pg_msrmnt_step_ul {
    justify-content: center;
    align-items: center;
    display: flex;
    width: 100%;
  }
  .pg_msrmnt_step_li:not(:first-child)::before {
    width: 20px;
    height: 1px;
    left: 8px;
    top: 15px;
  }
  .pg_msrmnt_step_li:not(:first-child) {
    padding-left: 35px;
    padding-top: 0;
  }
  .pg_msrmnt_step_li span {
    font-size: 14px;
    line-height: 20px;
    background: var(--lightgray_vrnt3);
    color: var(--basecolor);
    padding: 5px;
    width: 30px;
    text-align: center;
    border-radius: 50%;
    display: flex;
    justify-content: center;
  }
  .pg_msrmnt_step_li.active span {
    background-color: var(--primaryColor);
    color: var(--white);
  }
  .pg_msrmnt_stepbx {
    padding: 0 0 20px;
    border: none;
    border-bottom: solid 1px var(--lightborder);
  }

  .msrmnt_frminputs {
    margin: 0 0 10px;
  }
}
.errors{
    color: red;
    width: 100%;
    float: left;
    margin-top: -13px;
    margin-bottom: 6px;

}

   .frm_upload_field{width: 100%; position: relative;}
.file_upload_notes{font-size: 16px; line-height: 2; color: var(--darkborder);}
.file-list:empty,.error-msg:empty{display: none;}
.file-list {margin-top: 10px;display: flex; flex-wrap: wrap; grid-gap: 0 10px;}
.file-item {display: inline-flex;justify-content: space-between; border-radius: 30px; background: var(--lightgray_vrnt2); color: var(--basecolor);padding: 7px 30px 7px 15px; margin-top: 5px; margin-bottom: 5px; align-items: center; position: relative;}
.file-item span {font-size: 0.9em;}
.file-item button {background: transparent;  border: none; color: #9d9d9d;  cursor: pointer;  font-size: 23px;  position: absolute;  right: 4px;  top: 5px;  line-height: 24px;}
.file-item .attach_close{background: transparent;border: none;color: #9d9d9d;cursor: pointer;font-size: 23px;position: absolute;right: 10px;top: 6px;line-height: 24px;}
.error-msg { color: #ff0000; margin-top: 10px; font-size:14px;}
 
@media only screen and (max-width: 480px)
{
	.msrmnt_step_btn,.msrmnt_back_btn{max-width: 100%;}
}

